Skip to main content
`Ctrl`+`K`

# MatSTRUMPACKSetCompAbsTol

Set STRUMPACK https://portal.nersc.gov/project/sparse/strumpack/master absolute tolerance for compression

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKSetCompAbsTol(Mat F, PetscReal atol)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()`

- atol - absolute compression tolerance

## Options Database Key

- -mat_strumpack_compression_abs_tol <1e- 10> - Absolute compression tolerance, when using `-pctype ilu`

## See Also

`MATSOLVERSTRUMPACK`, Matrices, `Mat`, `MatGetFactor()`, `MatSTRUMPACKGetCompAbsTol()`, `MatSTRUMPACKSetReordering()`, `MatSTRUMPACKSetColPerm()`

## Level

intermediate

## Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

## Implementations

MatSTRUMPACKSetCompAbsTol_STRUMPACK() in src/mat/impls/aij/mpi/strumpack/strumpack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages